﻿Namespace GradientControls.styles
    Public Module PredefinedStyles

        Private bP As New style_controls.GradientControls.styles.style(New List(Of Color)(0), New List(Of Single)(0))
        Public ReadOnly Property buttonPressed() As style_controls.GradientControls.styles.style
            Get
                If bP.GradientPositions.Capacity = 0 Then
                    bP.GradientPositions.Add(0)
                    bP.GradientPositions.Add(1)
                    bP.GradientColorArray.Add(Color.Gray)
                    bP.GradientColorArray.Add(Color.Black)
                    bP.GradientAngle = 270
                End If
                Return bP
            End Get
        End Property


        Private bN As New style_controls.GradientControls.styles.style(New List(Of Color)(0), New List(Of Single)(0))
        Public ReadOnly Property ButtonNormal() As style_controls.GradientControls.styles.style
            Get
                If bN.GradientPositions.Capacity = 0 Then
                    bN.GradientPositions.Add(0)
                    bN.GradientPositions.Add(1)
                    bN.GradientColorArray.Add(Color.Gray)
                    bN.GradientColorArray.Add(Color.Black)
                    bN.GradientAngle = 90
                End If
                Return bN
            End Get
        End Property


        Private Be As New style_controls.GradientControls.styles.style(New List(Of Color)(0), New List(Of Single)(0))
        Public ReadOnly Property ButtonEnter() As style_controls.GradientControls.styles.style
            Get
                If Be.GradientPositions.Capacity = 0 Then
                    Be.GradientPositions.Add(0)
                    Be.GradientPositions.Add(1)
                    Be.GradientColorArray.Add(Color.LightGray)
                    Be.GradientColorArray.Add(Color.Black)
                    Be.GradientAngle = 90
                End If
                Return Be
            End Get
        End Property


        Private L As New style_controls.GradientControls.styles.style(New List(Of Color)(0), New List(Of Single)(0))
        Public ReadOnly Property LabelNormal() As style_controls.GradientControls.styles.style
            Get
                If L.GradientPositions.Capacity = 0 Then
                    L.GradientPositions.Add(0)
                    L.GradientPositions.Add(1)
                    L.GradientColorArray.Add(Color.Silver)
                    L.GradientColorArray.Add(Color.White)
                    L.GradientAngle = 0
                End If
                Return L
            End Get
        End Property


        Private base As New style(New List(Of Color)(0), New List(Of Single)(0), 90)
        <System.ComponentModel.Description("this is a base vertical black to white style to start off with.")> _
        Public ReadOnly Property BaseStyle() As style
            Get
                If base.GradientPositions.Capacity = 0 Then
                    base.GradientPositions.Add(0)
                    base.GradientPositions.Add(1)
                    base.GradientColorArray.Add(Color.Black)
                    base.GradientColorArray.Add(Color.White)
                End If
                Return base
            End Get
        End Property

    End Module
End Namespace