﻿Namespace GradientControls.styles
    Public Class CustomButton
        Inherits gradientBase
        Private a As Boolean = True
        <System.ComponentModel.Description("If true the button will animate using preset values."), _
        System.ComponentModel.Category("Appearance")> _
        Public Property DoAnimate() As Boolean
            Get
                Return a
            End Get
            Set(ByVal value As Boolean)
                a = value
            End Set
        End Property
        Private Sub GradientBase1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseDown
            If DoAnimate = True Then
                Me.GradientStyle = styles.buttonPressed
                'Me.GradientAngle = 270
                'Me.GradientColorArray(0) = Color.Gray
            End If
        End Sub


        Private Sub GradientBase1_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.MouseEnter
            If DoAnimate = True Then
                Me.GradientStyle = styles.ButtonEnter
                'Me.GradientColorArray(0) = Color.LightGray
                'Me.GradientAngle = 90
                'Me.GradientColorArray(1) = Color.Black
            End If
        End Sub

        Private Sub GradientBase1_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.MouseHover
            If DoAnimate = True Then

                Me.GradientStyle = styles.ButtonEnter
                'Me.GradientColorArray(0) = Color.LightGray
                'Me.GradientAngle = 90
                'Me.GradientColorArray(1) = Color.Black
            End If
        End Sub

        Private Sub GradientBase1_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.MouseLeave
            If DoAnimate = True Then
                Me.GradientStyle = styles.ButtonNormal
                'Me.GradientColorArray(0) = Color.Gray
                'Me.GradientColorArray(1) = Color.Black
                'Me.GradientAngle = 90
            End If
        End Sub

        Private Sub GradientBase1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseUp
            If DoAnimate = True Then

                Me.GradientStyle = styles.ButtonEnter
                'Me.GradientColorArray(0) = Color.LightGray
                'Me.GradientAngle = 90
                'Me.GradientColorArray(1) = Color.Black
            End If

        End Sub

        Public Sub New()
            Me.GradientStyle = styles.ButtonNormal
            Me.ForeColor = System.Drawing.Color.White
            Me.Size = New System.Drawing.Size(84, 32)
            Me.TextAlinment_horizantal = System.Drawing.StringAlignment.Center
            Me.TextAlinment_vertical = System.Drawing.StringAlignment.Center
            Me.BorderColor = Color.Silver
            Me.BorderSize = 2
        End Sub
    End Class
End Namespace