﻿Imports System.ComponentModel
Namespace controls
    <System.ComponentModel.Description("a picture box that will use provided images to create an animation")> _
    Public Class animator
        Private pictures As String
        Dim all_pics() As String = Nothing
        Dim pic_num As Integer = Nothing
        <System.ComponentModel.Description("a pound key(#) delimited list of image locations")> _
        Public Property images() As String
            Get
                Return pictures
            End Get
            Set(ByVal value As String)
                pictures = value
            End Set
        End Property
        <System.ComponentModel.Description("the interval at which the animation runs"), _
        System.ComponentModel.DefaultValue(10)> _
        Public Property interval() As Integer
            Get
                Return Timer1.Interval
            End Get
            Set(ByVal value As Integer)
                Timer1.Interval = value

            End Set
        End Property
        <System.ComponentModel.Description("defines whether the animation is currently runing")> _
        Public Property enable() As Boolean
            Get
                Return Timer1.Enabled
            End Get
            Set(ByVal value As Boolean)
                Timer1.Enabled = value
                Call im_change()
            End Set
        End Property
        <System.ComponentModel.Description("the size mode that defines how the picture streches"), _
        DefaultValue(System.Windows.Forms.PictureBoxSizeMode.StretchImage)> _
        Public Property sizemode() As System.Windows.Forms.PictureBoxSizeMode
            Get
                Return PictureBox1.SizeMode
            End Get
            Set(ByVal value As System.Windows.Forms.PictureBoxSizeMode)
                PictureBox1.SizeMode = value

            End Set
        End Property
        Private Sub Class1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Call im_change()
        End Sub
        ''' the sub im_change is used to get a list of
        ''' picture locations it is called by both the class load
        ''' and images prop. set method
        Private Sub im_change()
            If images <> "" Then
                all_pics = images.Split("#")
            End If
        End Sub
        ''' this is the timer tick event for the timer component
        ''' this changes the image at the desired pace
        Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
            Try
                If pic_num = all_pics.Count Then
                    pic_num = 0
                End If
                PictureBox1.ImageLocation = all_pics(pic_num)
                pic_num += 1
            Catch ex As Exception
            End Try
        End Sub
    End Class
End Namespace