﻿Namespace Timers
    <System.ComponentModel.Description("This timer will appear to flip a control")> _
    Public Class FlipTimer
        Inherits System.Windows.Forms.Timer
        Private target As System.Windows.Forms.Control
        Private flipheight As Boolean
        Private flipwidth As Boolean
        Private h As Integer
        Private w As Integer
        Private _h As Integer = 1
        Private _w As Integer = 1
        Private c As Double
        Private c1 As Double
        <System.ComponentModel.Description("The control to be fliped")> _
        Public Property TargetControl() As System.Windows.Forms.Control
            Get
                Return target
            End Get
            Set(ByVal value As System.Windows.Forms.Control)
                target = value
                w = target.Width
                h = target.Height
            End Set
        End Property

        <System.ComponentModel.Description("If true the height will be fliped NOTE: when finished the value will become false")> _
        Public Property Flip_Height() As Boolean
            Get
                Return flipheight
            End Get
            Set(ByVal value As Boolean)
                flipheight = value
            End Set
        End Property

        <System.ComponentModel.Description("If true the width will be fliped NOTE: when finished the value will become false")> _
        Public Property Flip_Width() As Boolean
            Get
                Return flipwidth
            End Get
            Set(ByVal value As Boolean)
                flipwidth = value
            End Set
        End Property


        ''this is the main worker
        Private Sub flipTick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Tick


            If Flip_Width = True Then
                If _w = 1 Then
                    TargetControl.Width += -1
                    c += 0.5
                    If c = 1 Then
                        TargetControl.Left += c
                        c = 0
                    End If
                End If
                If w + 1 = TargetControl.Width Then
                    Flip_Width = False
                    TargetControl.Width -= 1
                    _w = 1
                End If
                If _w = -1 Then
                    TargetControl.Width += 1
                    c += -0.5
                    If c = -1 Then
                        TargetControl.Left += c
                        c = 0
                    End If
                End If
                If TargetControl.Width = 0 Then
                    _w = -1
                End If
            End If

            If Flip_Height = True Then
                If _h = 1 Then
                    TargetControl.Height += -1
                    c1 += 0.5
                    If c1 = 1 Then
                        TargetControl.Top += c1
                        c1 = 0
                    End If
                End If
                If h + 1 = TargetControl.Height Then
                    Flip_Height = False
                    TargetControl.Height -= 1
                    _h = 1
                End If
                If _h = -1 Then
                    TargetControl.Height += 1
                    c1 += -0.5
                    If c1 = -1 Then
                        TargetControl.Top += c1
                        c1 = 0
                    End If
                End If
                If TargetControl.Height = 0 Then
                    _h = -1
                End If
            End If

        End Sub
    End Class
End Namespace