﻿Namespace Timers
    <System.ComponentModel.Description("Shrinks the desired control to a certain size")> _
    Public Class ShrinkTimer
        Inherits System.Windows.Forms.Timer

        Private target As System.Windows.Forms.Control
        Private shrinkheight As Integer
        Private shrinkwidth As Integer
        <System.ComponentModel.Description("The control to shrink")> _
        Public Property TargetControl() As System.Windows.Forms.Control
            Get
                Return target
            End Get
            Set(ByVal value As System.Windows.Forms.Control)
                target = value
            End Set
        End Property

        <System.ComponentModel.Description("The desired end height in pixels")> _
        Public Property MinimumHeight() As Integer
            Get
                Return shrinkheight
            End Get
            Set(ByVal value As Integer)
                shrinkheight = value
            End Set
        End Property

        <System.ComponentModel.Description("The desired end width in pixels")> _
        Public Property MinimumWidth() As Integer
            Get
                Return shrinkwidth
            End Get
            Set(ByVal value As Integer)
                shrinkwidth = value
            End Set
        End Property
        Private Sub shrinkTimer_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Tick
            If TargetControl.Width >= MinimumWidth Then
                TargetControl.Width += -2
                TargetControl.Left += 1
            End If
            If TargetControl.Height >= MinimumHeight Then
                TargetControl.Height += -2
                TargetControl.Top += 1
            End If
        End Sub
    End Class
End Namespace