﻿Namespace controls.templates
    <System.ComponentModel.Description("An editable web browser with navigation buttons and a box for an url.")> _
    Public Class FullWebBrowser

        Private Sub CustomButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BackButton.Click
            If WebBrowser.CanGoBack = True Then
                WebBrowser.GoBack()
            End If
        End Sub

        Private Sub CustomButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ForwardButton.Click
            If WebBrowser.CanGoForward = True Then
                WebBrowser.GoForward()
            End If
        End Sub

        Private Sub CustomButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NavigationButton.Click
            BackgroundWorker1.RunWorkerAsync()
        End Sub

        Private Sub BackgroundWorker1_DoWork(ByVal sender As System.Object, ByVal e As System.ComponentModel.DoWorkEventArgs) Handles BackgroundWorker1.DoWork
            WebBrowser.Navigate(UrlContainer.Text)
        End Sub
    End Class
End Namespace