﻿Namespace controls
    ''' <summary>
    ''' Animates the text in this label
    ''' </summary>
    <System.ComponentModel.Description("Animates the text of this control")> _
    Public Class scrolling_text
        ''' <summary>
        ''' The initial text for the control
        ''' </summary>
        <System.ComponentModel.Description("The initial text for the control")> _
        Public Property Initial_Text() As String
            Get
                Return Label1.Text
            End Get
            Set(ByVal value As String)
                Label1.Text = value
            End Set
        End Property
        ''' <summary>
        ''' The interval that the text will change
        ''' </summary>
        <System.ComponentModel.Description("The interval that the text will change")> _
        Public Property Interval() As Integer
            Get
                Return Timer1.Interval
            End Get
            Set(ByVal value As Integer)
                Timer1.Interval = value
            End Set
        End Property
        ''' <summary>
        ''' If true the control will run
        ''' </summary>
        <System.ComponentModel.Description("If true the control will run")> _
        Public Property Run() As Boolean
            Get
                Return Timer1.Enabled
            End Get
            Set(ByVal value As Boolean)
                Timer1.Enabled = value
            End Set
        End Property
        'This is the sub that dose the work
        Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer1.Tick
            If Label1.Text.Count > 0 Then

                Label1.Text = Label1.Text.Remove(0, 1)

            Else
                Label1.Text = Text
            End If
        End Sub
    End Class
End Namespace