﻿Public Class Generator
    Public angle As Integer
    Public color1 As Color
    Public color2 As Color
    Dim stops As Integer = 0
    Dim colors(10) As Color
    Dim positons(10) As Single
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ColorDialog1.ShowDialog()
        Call add_color()
    End Sub
    Sub add_color()
        Array.Resize(colors, stops + 1)
        Array.Resize(positons, stops + 1)
        colors(stops) = ColorDialog1.Color
        stops += 1
        ComboBox1.Items.Add(stops.ToString)
        ComboBox1.SelectedIndex = stops - 1
    End Sub
    Private Sub TabPage3_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles TabPage3.Paint
        Try
            Dim g As Graphics = e.Graphics
            Dim rect As New Rectangle(Button1.Left, Button1.Top, Button1.Width, Button1.Height)
            Dim b As New Drawing2D.LinearGradientBrush(rect, color1, color2, angle)
            Dim brush As New Drawing2D.ColorBlend(stops)
            brush.Colors = colors
            brush.Positions = positons
            b.InterpolationColors = brush
            g.FillRectangle(b, rect)
        Catch ex As Exception
        End Try
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Array.Resize(colors, stops)
        Array.Resize(positons, stops)
        Call TabControl2.Refresh()
        Dim t As String = "dim colors(" + (stops - 1).ToString + ") as color" + vbCrLf + "dim positions(" + (stops - 1).ToString + ") as integer" + vbCrLf
        Dim i As Integer = 0
        Do Until i = colors.Count
            t += "positions(" + i.ToString + ") = " + positons(i).ToString + vbCrLf
            t += "colors(" + i.ToString + ") = color.fromargb(" + colors(i).ToArgb.ToString + ")" + vbCrLf
            i += 1
        Loop
        TextBox2.Text = t + "dim g As Graphics = e.Graphics" + vbCrLf + _
        "Dim rect As New Rectangle(Object.Left, Object.Top, Object.Width, Object.Height)" + vbCrLf + _
        "Dim b As New Drawing2D.LinearGradientBrush(rect,transparent, transparent ," + angle.ToString + ")" + vbCrLf + _
        "Dim brush As New Drawing2D.ColorBlend(" + stops.ToString + ")" + vbCrLf + _
        "brush.Colors = colors" + vbCrLf + "brush.Positions = positons" + vbCrLf + "b.InterpolationColors = brush" + vbCrLf + _
        "g.FillRectangle(b, rect)"
    End Sub

    Private Sub NumericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumericUpDown1.ValueChanged
        angle = NumericUpDown1.Value
    End Sub

    Private Sub TabPage4_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Try
            Dim g As Graphics = e.Graphics
            Dim rect As New Rectangle(0, 0, 200, 50)
            Dim brush As New System.Drawing.Drawing2D.ColorBlend(stops)
            Dim b As Drawing.Drawing2D.LinearGradientBrush
            b = New Drawing2D.LinearGradientBrush(rect, Color.Transparent, Color.Transparent, angle)
            brush.Colors = colors
            brush.Positions = positons
            b.InterpolationColors = brush
            g.FillRectangle(b, rect)
        Catch ex As Exception
        End Try
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        NumericUpDown3.Value = colors(Int(ComboBox1.Text) - 1).A
        TrackBar1.Value = positons(Int(ComboBox1.Text) - 1) * 100
        Panel1.BackColor = colors(Int(ComboBox1.Text) - 1)
    End Sub

    Private Sub Button3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        colors(ComboBox1.Text - 1) = Color.FromArgb(NumericUpDown3.Value, colors(ComboBox1.Text - 1).R, colors(ComboBox1.Text - 1).G, colors(ComboBox1.Text - 1).B)
        positons(ComboBox1.Text - 1) = TrackBar1.Value / 100
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        colors = Nothing
        positons = Nothing
        stops = 0
        Do Until ComboBox1.Items.Count = 0
            ComboBox1.Items.RemoveAt(0)
        Loop
    End Sub
End Class
